## IdePreferencesAddin IdePreferencesAddin |

## Functions

void | ide_preferences_addin_load ()
void | ide_preferences_addin_unload ()

## Types and Values

#define | IDE_TYPE_PREFERENCES_ADDIN
struct | IdePreferencesAddinInterface
| IdePreferencesAddin

## Object Hierarchy

        GInterface
        ╰── IdePreferencesAddin

## Prerequisites

IdePreferencesAddin requires GObject.

## Description

## Functions

### ide_preferences_addin_load ()

    void
    ide_preferences_addin_load (IdePreferencesAddin *self,
                                DzlPreferences *preferences);

This interface method is called when a preferences addin is initialized. It could be initialized from multiple preferences implementations, so consumers should use the DzlPreferences interface to add their preferences controls to the container.

Such implementations might include a preferences dialog window, or a preferences widget which could be rendered as a perspective.

#### Parameters

self | An IdePreferencesAddin. |
preferences | The preferences container implementation. |

Since: 3.32

### ide_preferences_addin_unload ()

    void
    ide_preferences_addin_unload (IdePreferencesAddin *self,
                                  DzlPreferences *preferences);

This interface method is called when the preferences addin should remove all controls added to `preferences` . This could happen during desctruction of `preferences` , or when the plugin is unloaded.

#### Parameters

self | An IdePreferencesAddin. |
preferences | The preferences container implementation. |

Since: 3.32

## Types and Values

### IDE_TYPE_PREFERENCES_ADDIN

    #define IDE_TYPE_PREFERENCES_ADDIN (ide_preferences_addin_get_type())

### struct IdePreferencesAddinInterface

    struct IdePreferencesAddinInterface {
      GTypeInterface parent_interface;

      void (*load)   (IdePreferencesAddin *self,
                      DzlPreferences      *preferences);
      void (*unload) (IdePreferencesAddin *self,
                      DzlPreferences      *preferences);
    };

### IdePreferencesAddin

    typedef struct _IdePreferencesAddin IdePreferencesAddin;